% figure_8_2
%
%       Created for the book:                                                             
%   Ljiljana D. Milic,
%      Multirate Filtering for Digital Signal Processing: MATLAB Applications                     
%      Information Science Reference, Hershey, New York,  2009
%
% Complementary highpass filter
close all, clear all
Nord = 24;                                                                   % Filter order, an even number
hlp = firgr(24,[0 .25 .3 1],[1 1 0 0],[1 1.8]);                   % Lowpass filter design   
D = Nord/2;                                                                  % Propagation delay
hhp = zeros(size(1:length(hlp)));   hhp(D+1) = 1;         % Setting the delay path
hhp = hhp - hlp;                                                            % Complementary opperation
figure (1)
subplot(2,2,1)
impz(hlp,1,25)
% stem(0:Nord,hlp), xlabel('n'), ylabel('h_L_P(n)')
% axis([0,24,-0.1,0.3])
subplot(2,2,2)
impz(hhp,1,25)
% stem(0:Nord,hhp), xlabel('n'), ylabel('h_L_P(n)')
% axis([0,24,-0.3,0.8])
subplot(2,2,3)
zerophase(hlp,1,512)
subplot(2,2,4)
zerophase(hhp,1,512)